Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Weird .htaccess ErrorDocument problem after using new EasyApache w/cloudlinux support

Discussion in 'CloudLinux' started by MediaServe, May 14, 2011.

  1. MediaServe

    MediaServe Well-Known Member
    PartnerNOC

    Joined:
    Apr 9, 2004
    Messages:
    130
    Likes Received:
    0
    Trophy Points:
    166
    Location:
    Nashville, TN USA
    cPanel Access Level:
    DataCenter Provider
    Twitter:
    I'm loving that cPanel is now officially supporting CloudLinux! I just posted a ticket with CloudLinux, but wanted to post it here as well to see if I can find someone else with the problem, or get ideas from the community about what might be causing this.

    Here's the text of the ticket I raised with CloudLinux:

     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  2. stapler2025

    stapler2025 Registered

    Joined:
    Oct 29, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    51
    Re: Weird .htaccess ErrorDocument problem after using new EasyApache w/cloudlinux sup

    I'm also having this same exact issue. Raised a ticket with cPanel support, and right now we're sitting at "I've narrowed the cause down to custom ErrorDocument lines in user's .htaccess files. However, Apache's configuration does not look like it is denying these overrides. I'm currently escalating this ticket right now so it can be reviewed by another analyst. Please stand by for updates."
     
  3. MediaServe

    MediaServe Well-Known Member
    PartnerNOC

    Joined:
    Apr 9, 2004
    Messages:
    130
    Likes Received:
    0
    Trophy Points:
    166
    Location:
    Nashville, TN USA
    cPanel Access Level:
    DataCenter Provider
    Twitter:
    Re: Weird .htaccess ErrorDocument problem after using new EasyApache w/cloudlinux sup

    Glad (well, sort of) to see it's not just me. Are you running CloudLinux as well? Did you also use EasyApache just before the problem began?

    If it wouldn't be too much trouble you might add the URL to this post to the ticket so the cPanel folks realize there are others (or other at least) with this problem.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
    #3 MediaServe, May 15, 2011
    Last edited: May 15, 2011
  4. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,608
    Likes Received:
    32
    Trophy Points:
    238
    Location:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    Re: Weird .htaccess ErrorDocument problem after using new EasyApache w/cloudlinux sup

    From what I can see, the ticket in our system is #1491762 and the issue was being discussed as possibly related to the PHP version rather than CloudLinux at the time. Can you confirm that after downgrading to PHP 5.2.17 from PHP 5.3.6, this is now working properly?
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. MediaServe

    MediaServe Well-Known Member
    PartnerNOC

    Joined:
    Apr 9, 2004
    Messages:
    130
    Likes Received:
    0
    Trophy Points:
    166
    Location:
    Nashville, TN USA
    cPanel Access Level:
    DataCenter Provider
    Twitter:
    Re: Weird .htaccess ErrorDocument problem after using new EasyApache w/cloudlinux sup

    We're running 5.2.17 on the affected server. We haven't upgraded to 5.3 yet.

    I don't see how PHP can come into play with this anyway. It's an ErrorDocument directive in .htaccess being disallowed--nothing to do with PHP at all, and happens no matter what sort of document is requested from a site with such a .htaccess directive.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  6. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,608
    Likes Received:
    32
    Trophy Points:
    238
    Location:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    Re: Weird .htaccess ErrorDocument problem after using new EasyApache w/cloudlinux sup

    Hello wtl,

    My comment was in regards to the ticket opened for the stapler2025 user. That ticket discussed it only happening in PHP 5.3.6 and not in PHP 5.2.17, so it would be wonderful if we could get feedback about that issue specifically for what is happening with their issue, since that is the only user who has opened up a ticket.

    You could certainly open up a ticket, given the support system is complimentary at no cost to do so, which would then allow us to investigate it on your system.

    Thanks!
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  7. stapler2025

    stapler2025 Registered

    Joined:
    Oct 29, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    51
    Re: Weird .htaccess ErrorDocument problem after using new EasyApache w/cloudlinux sup

    Sorry for the delayed reply, it actually happened with both versions. We did however get a reply back in our ticket from the CEO of CloudLinux.

     
  8. gvard

    gvard Well-Known Member
    PartnerNOC

    Joined:
    Dec 22, 2003
    Messages:
    197
    Likes Received:
    3
    Trophy Points:
    168
    Location:
    Athens/GREECE
    cPanel Access Level:
    DataCenter Provider
    Re: Weird .htaccess ErrorDocument problem after using new EasyApache w/cloudlinux sup

    Hello,

    Did they fix the issue with mod_hostinglimits?
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  9. cPanelDon

    cPanelDon cPanel Quality Assurance Analyst
    Staff Member

    Joined:
    Nov 5, 2008
    Messages:
    2,554
    Likes Received:
    9
    Trophy Points:
    168
    Location:
    Houston, Texas, U.S.A.
    cPanel Access Level:
    DataCenter Provider
    Twitter:
    Re: Weird .htaccess ErrorDocument problem after using new EasyApache w/cloudlinux sup

    I believe the issue is fixed as of mod_hostinglimits version 0.7-9; this update is also included in EasyApache version 3.3.4, published Friday, May 20th, 2011.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice